
QGIS Application - Bug report #6437

dissolve converting 2d -> 3d

2012-09-30 07:17 AM - andy wilson

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: OSX, Linux Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15678

Description

It seems that when I dissolve a shapefile with 2d polygons, the output is a 3d PolygonZ shapefile (with Z=0 for all vertices).

A work around is to convert it back into 2d with ogr2ogr, but it took me a while to figure out what was going on.

History

#1 - 2014-06-21 03:49 AM - Jürgen Fischer

- Category set to 44

#2 - 2014-06-22 12:01 PM - Giovanni Manghi

- Status changed from Open to Feedback

cannot confirm (tested with ogrinfo the results), please attach sample data.

#3 - 2014-10-11 04:08 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

#4 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
